package com.sunyard.chsm.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author liulu
 * @since 2024/10/30
 */
@Data
public class AppSave {

    private Long id;
    /**
     * 应用名称
     */
    @NotBlank(message = "应用名称不能为空")
    private String name;
    /**
     * 密码服务ids
     */
    @NotEmpty(message = "密码服务不能为空")
    private List<Long> serviceIds;

    /**
     * 应用白名单
     */
    private List<String> whiteIps;

    @Size(max = 500, message = "备注长度在1-500之间")
    private String remark;

}
